IcedTea-Web NetX

## net.sourceforge.jnlp.runtime
Class FakePacEvaluator

    java.lang.Object
      net.sourceforge.jnlp.runtime.FakePacEvaluator

All Implemented Interfaces:
  PacEvaluator

    public class FakePacEvaluator

extends java.lang.Object
implements PacEvaluator

A dummy PacEvaluator that always returns "DIRECT"

Constructor Summary
`FakePacEvaluator()`

Method Summary
`java.lang.String` `getProxies(java.net.URL url)` Get the proxies for accessing a given URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FakePacEvaluator

    public FakePacEvaluator()

Method Detail

### getProxies

    public java.lang.String getProxies(java.net.URL url)

  Description copied from interface: `PacEvaluator`
  Get the proxies for accessing a given URL. The result is obtained by evaluating the PAC file with the given url (and the host) as input.

  Specified by:
    `getProxies` in interface `PacEvaluator`
  Parameters:
    `url` - the url for which a proxy is desired
  Returns:
    a list of proxies in a string like

        "PROXY foo.example.com:8080; PROXY bar.example.com:8080; DIRECT"

IcedTea-Web NetX

Submit a bug or feature